/* Pannello anomalie */
.pano {
  background    : linear-gradient(to bottom, rgba(45, 0, 70, 0.9) 0%, rgba(25, 0, 50, 0.94) 50%, rgba(0, 0, 0, 0.98) 100%);
  border-color  : indigo;
  border-radius : 4px;
  box-shadow    : 0 0 6px 6px rgba(45, 0, 70, 0.5);
  color         : yellow;
  font-size     : 0.9em;
  font-weight   : bold;
  height        : 512px;
  max-width     : 840px;
  position      : fixed;
  vertical-align: middle;
  width         : 840px;
}
.pano .ui-dialog,
.pano .ui-widget,
.pano .ui-widget-content,
.pano .ui-corner-all,
.pano .ui-draggable,
.pano .ui-resizable {
  background: transparent !important
}
.pano .ui-dialog-titlebar {
  border        : none;
  color         : white;
  font-size     : 1.2em;
  font-weight   : bold;
  height        : 7%;
  margin-top    : 0;
  text-align    : center;
  text-transform: uppercase;
}

.pano .ui-dialog-titlebar-close {
  border: none;
  top   : 12px;
}
.pano .ui-dialog-titlebar-close span {
  height: 20px;
  width : 20px;
}
.pano .ui-dialog-titlebar-close .anoclose {
  background-image: url("../img/20_ico_close.png");
}

.pano .centro {
  border    : 1px solid transparent;
  box-sizing: border-box;
  height    : 512px;
  position  : relative;
}
.pano .h3 {
  color         : white;
  font-size     : 14pt;
  font-weight   : bold;
  height        : 7%;
  margin-top    : 0;
  text-transform: uppercase;
}
.pano .ano_lista {
  display      : inline-block;
  float        : left;
  font-weight  : normal;
  height       : 49%;
  min-height   : 49%;
  margin-left  : -12px;
  margin-right : 0;
  max-height   : 49%;
  padding-top  : 2px;
  padding-right: 28px;
  overflow-x   : hidden;
  overflow-y   : auto;
  text-align   : left;
  width        : 58%;
}
.pano .ano_lista .ald,
.pano .ano_lista .alg {
  display: none;
}
.pano .ano_lista a {
  border         : 1px solid transparent;
  border-radius  : 4px;
  cursor         : pointer;
  display        : inline-block;
  /*font-style     : italic;*/
  margin-top     : -2px;
  padding        : 6px 12px;
  text-decoration: none;
  width          : 100%;
}
.pano .ano_lista a.sel {
  background-color: rgba(0, 128, 0, 0.5);
}
.pano .ano_lista a:hover {
  border: 1px solid lawngreen;
}
.pano .ano_lista a img {
  margin-bottom : 3px;
  margin-left   : -2px;
  padding-right : 2px;
  vertical-align: middle;
}
.pano .att {
  font-weight: bold;
}
.pano .err {
  color      : white;
  font-weight: bold;
}
.pano .ok {
  color      : lime;
  font-weight: bold;
}
.pano .noc {
  color      : lightgrey;
  font-weight: bold;
}
.pano div.err,
.pano div.noc,
.pano div.ok {
  line-height: 2.1em;
}
.pano .dsc {
  border       : 1px solid lawngreen;
  border-radius: 4px;
  box-sizing   : border-box;
  float        : right;
  font-weight  : normal;
  height       : 49%;
  min-height   : 49%;
  max-height   : 49%;
  margin-right : -12px;
  line-height  : 1.3em;
  padding      : 1%;
  text-align   : left;
  width        : 41%;
}
.pano .dsc img {
  vertical-align: middle;
}
.pano .dsc table.ainf {
  font-family: monospace;
  font-size  : 1.2em;
  font-weight: normal;
  margin     : 0;
  overflow   : hidden;
  padding    : 0;
  white-space: nowrap;
  width      : 324px;
}
.pano .dsc table.ainf a {
  text-decoration: none;
}
.pano .dsc table.ainf td.conf a {
  color      : lightgreen;
  line-height: 24px;
}
.pano .dsc table.ainf td.conf span {
  color      : lightgrey;
  cursor     : not-allowed;
  font-style : italic;
  line-height: 24px;
}
.pano .dsc table.ainf td.cx {
  text-align: center;
}
.pano .dsc table.ainf td.dx {
  text-align: right;
}
.pano .dsc table.ainf td.sx {
  text-align: left;
}
.pano .dsc table.ainf tr:hover {
  background-color: rgba(160, 0, 0, 0.25);
}
.pano .dsc table.ainf tr.clickabile {
  cursor: pointer;
}
.pano .dsc table.ainf tr.imp {
  font-weight: bold;
}
.pano .dsc table.ainf tr.inf {
  color     : lightgrey;
  font-style: italic;
}
.pano .dsc table.ainf tr.inf.data {
  color     : cyan;
}
.pano .dsc table.ainf tr.tac,
.pano .dsc table.ainf tr.tac a {
  color          : lawngreen;
}
.pano .dsc .txt {
  font-weight: bold;
}
.pano .dsc a.email {
  color: white;
}
.pano .dsc a.email:hover {
  text-decoration: underline;
}
.pano .gfx {
  border       : 1px solid lawngreen;
  border-radius: 4px;
  bottom       : 0;
  box-sizing   : border-box;
  height       : 50%;
  left         : 0;
  position     : absolute;
  width        : 100%;
}
.pano .gfx img {
  height       : 100%;
  margin-bottom: -4px;
  overflow     : hidden;
  width        : 100%;
}
.pano .gfx .err {
  color     : pink;
  font-style: italic;
}
.pano .gfx .load {
  font-style    : italic;
  font-weight   : normal;
  vertical-align: middle;
}
.pano .gfx .load img {
  height        : 15px;
  width         : 15px;
  vertical-align: top;
}
.pano .vmid {
  display        : flex;
  align-items    : center;
  justify-content: center;
}
.pano .pri-0,
.pano .pri-0 a {
  color: olive;
}
.pano .pri-0.tac {
  color: darkolivegreen;
}
.pano .pri-1,
.pano .pri-1 a {
  color: yellow;
}
.pano .pri-1.tac {
  color: #DEDC64;
}
.pano .pri-2,
.pano .pri-2 a {
  color: orange;
}
.pano .pri-2.tac {
  color: chocolate;
}
.pano .pri-3,
.pano .pri-3 a {
  color: red;
}
.pano .pri-3.tac {
  color: indianred;
}
.pano .pri-dati,
.pano .pri-dati a {
  color: lightgrey;
}
.pano .pri-dati.tac {
  color: darkgrey;
}
.pano a.tac {
  font-style: italic;
}
hr.slim {
  background-color: darkgreen;
  border          : none;
  height          : 1px;
  width           : 90%;
}
/* Gestione controllo automatico */
span.ano_link {
  background-color: rgba(0, 200, 0, 0.1);
  border          : 1px solid darkgreen;
  border-radius   : 4px;
  min-width       : 320px;
  padding         : 4px;
}
span.ano_link:hover {
  background-color: rgba(0, 200, 0, 0.3);
}

select.gfx {
  width    : 99%;
}
select.gfx option {
  font-family: monospace;
}
select.gfx option.def {
  color      : #444444;
  font-style : italic;
  font-weight: bold;
  text-align : center;
}
select.serie {
  font-size: 0.9em;
  width    : 99%;
}
select.serie option {
  font-family: monospace;
  font-size  : 1.5em;
}
select.serie option.nessuna {
  color      : #444444;
  font-style : italic;
  font-weight: bold;
  text-align : center;
}
table.ano-stato {
  width: auto;
}
table.ano-stato td {
  padding: 2px 8px;
}
table.ano-stato th.sta1 {
  width: 45%;
}
table.ano-stato th.sta2 {
  width: 45%;
}
table.ano-stato th.azione {
  width: 10%;
}
table.ano-stato select.sta-sel {
  text-align: center;
}
table.ano-stato-l2,
table.ano-stato-ris {
  font-size: 0.8em;
  width    : 100%;
}
table.ano-stato-l2  tbody td,
table.ano-stato-ris tbody td {
  padding   : 0 4px;
  text-align: left;
}
table.ano-stato-l2  tbody td.centro,
table.ano-stato-ris tbody td.centro {
  text-align: center;
}
table.ano-stato-l2  tbody td.descr,
table.ano-stato-ris tbody td.descr {
  color      : black;
  font-weight: bold;
}
table.ano-stato-l2  tbody td.dip,
table.ano-stato-ris tbody td.dip {
  font-style : italic;
  white-space: nowrap;
}
table.ano-stato-l2  tbody td.ord,
table.ano-stato-ris tbody td.ord {
  text-align: right;
}
table.ano-stato-ris thead th.sta-head {
  font-size: 1.6em;
}
table.ano-stato-l2  .sta1,
table.ano-stato-ris .sta1 {
  background-color: rgb(200, 200, 255);
}
table.ano-stato-l2  .sta2,
table.ano-stato-ris .sta2 {
  background-color: rgb(180, 220, 255);
}
table.ano-stato-l2  img,
table.ano-stato-ris img {
  vertical-align: middle;
}
table.ano-stato-l2  tbody tr:hover td.sta1 {
  background-color: rgb(170, 170, 255);
}
table.ano-stato-l2  tbody tr:hover td.sta2 {
  background-color: rgb(150, 190, 255);
}
table.ano-stato-ris .sta-cfr-kk {
  background-color: rgb(255, 255, 180);
}
table.ano-stato-ris .sta-cfr-ko {
  background-color: rgb(255, 180, 180);
}
table.ano-stato-ris .sta-cfr-ok {
  background-color: rgb(180, 255, 180);
}
table.ano-stato-l2  tbody tr:hover,
table.ano-stato-ris tbody tr:hover {
  background-color: rgba(0, 0, 0, 0.1);
}
table.ano-stato-ris tbody tr:hover .sta-cfr-kk {
  background-color: rgb(225, 225, 150);
}
table.ano-stato-ris tbody tr:hover .sta-cfr-ko {
  background-color: rgb(225, 150, 150);
}
table.ano-stato-ris tbody tr:hover .sta-cfr-ok {
  background-color: rgb(150, 225, 150);
}
table.controllo {
  font-size: 0.8em;
}
table.controllo, table.controllo th, table.controllo td {
  border: 0px hidden;
  border-collapse: collapse;
}
table.controllo th {
  font-style   : italic;
  font-weight  : normal;
  padding-right: 4px;
  text-align   : right;
  white-space  : nowrap;
  width        : 20%;
}
table.controllo td {
  padding-left: 4px;
  text-align  : left;
  width       : 30%;
}
table.controllo input {
  height: 1em;
  width : 93.5%;
}
table.controllo .centro {
  text-align: center;
}
table.controllo select {
  height    : 0.8vem;
  width     : 98%;
  text-align: center;
}
table.controllo select option {
  text-align: left;
}
table.controllo button {
  color      : darkgreen;
  font-weight: bold;;
  width      : 56%;
}
table.controllo td.ano-dip {
  white-space: nowrap;
}
table.controllo td.ano-dip-no select.dipstato,
table.controllo td.ano-dip-no span.dipdescr {
  visibility: hidden;
}
table.controllo td.ano-dip-si select.dipstato,
table.controllo td.ano-dip-si span.dipdescr {
  visibility: visible;
}
table.controllo td.ano-dip select.dip-no {
  width: 98%;
}
table.controllo td.ano-dip select.dip-si {
  width: 73%;
}
table.controllo td.ano-dip select.dipstato {
  width: 20%;
}
table.controllo td.ano-dip select.dipstato.dipstato-ko {
  color: red;
}
table.controllo td.ano-dip select.dipstato.dipstato-ok {
  color: darkgreen;
}
